<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <parent>
        <artifactId>cryptolib</artifactId>
        <groupId>com.scytl.cryptolib</groupId>
        <version>2.1.5-4</version>
    </parent>
    <artifactId>cryptolib-commons</artifactId>
    <name>Commons</name>
    <description>Used for sharing common functionality and structures</description>

    <dependencies>
        <dependency>
            <artifactId>cryptolib-api-commons</artifactId>
            <groupId>com.scytl.cryptolib</groupId>
            <version>${project.version}</version>
        </dependency>
        <dependency>
            <artifactId>cryptolib-default-policies</artifactId>
            <groupId>com.scytl.cryptolib</groupId>
            <version>${project.version}</version>
            <scope>test</scope>
        </dependency>
        <dependency>
            <artifactId>cryptolib-test-tools</artifactId>
            <groupId>com.scytl.cryptolib</groupId>
            <version>${project.version}</version>
            <scope>test</scope>
        </dependency>
        <dependency>
            <groupId>org.apache.commons</groupId>
            <artifactId>commons-pool2</artifactId>
        </dependency>
        <dependency>
            <groupId>com.fasterxml.jackson.core</groupId>
            <artifactId>jackson-databind</artifactId>
        </dependency>
        <dependency>
            <groupId>org.mockito</groupId>
            <artifactId>mockito-core</artifactId>
        </dependency>
    </dependencies>

</project>
